import java.util.List;

public class Board {
/*
	- hits : List<HitResponse>
	- ships : List<Ship>
	- size : int
	- display : BoardDisplay
*/
	/*
	 * + hit(HitResponse)
	 * + click(Point) : void
	 */
	
	List<HitResponse> hits;
	List<Ship> ships;
	int size;
	
	public Board() {
		// MISS,SHIP, HIT
		// MISS bedeutet nichts auf der Position vorhanden
		// SHIP bedeutet ungetroffenes Schiff auf der Position vorhanden
		// HIT bedeutet getroffenes Schiff auf der Position vorhanden
		

	}
	
	public void setSize(int s) {
		this.size = s;
	}
	
	public void initBoard() {

		for (int i=0;size>i;i++) {
			for (int j=0;size>j;j++) {
				HitResponse missPos = new HitResponse();
				missPos.setHitResponse(HitResponseType.MISS);
				missPos.setPoint(i,j);
				hits.add(missPos);
			}
		}
	}
}